View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000826Ecere SDKcompilerpublic2013-04-24 13:312014-05-19 01:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000826: stdbool.h (Nicktick's FreeBSD 9.1's libjpeg?)
Descriptionstdbool.h (Nicktick's FreeBSD 9.1's libjpeg?)
TagsNo tags attached.
Attached Filesdiff file icon gif_lib.diff [^] (24,685 bytes) 2013-04-28 05:40 [Show Content]
diff file icon ecere.Makefile.diff [^] (814 bytes) 2013-04-28 06:11 [Show Content]
diff file icon ecere.Makefile2.diff [^] (1,099 bytes) 2013-04-28 06:25 [Show Content]

- Relationships

-  Notes
(0000767)
nicktick (reporter)
2013-04-28 05:40

I think it's the version different problem.

+/* this is a backward-compatibility hack; these will go away in 5.0 */
+#ifndef TRUE
+#define TRUE true
+#endif /* TRUE */
+#ifndef FALSE
+#define FALSE false
+#endif /* FALSE */
(0000768)
nicktick (reporter)
2013-04-28 06:27

useing ecere.Makefile2.diff to solve the problem of including header file and link library of libungif.a under FreeBSD.
(0000836)
jerome (administrator)
2013-05-19 20:52

This was also a problem on Arch Linux.
(0001138)
jerome (administrator)
2013-10-19 23:41

Also on Arch it seems DGifOpen added a parameter:

Building 2nd stage ecere...
/home/snyp/ecere/ecere-ecere-sdk-65ac2e8/ecere/src/gfx/bitmaps/GIFFormat.ec:33:31: warning: not enough arguments for function DGifOpen (2 given, expected 3)
obj/release.linux/GIFFormat.c: In function ‘__ecereMethod___ecereNameSpace__ecere__gfx__bitmaps__GIFFormat_Load’:
obj/release.linux/GIFFormat.c:901:1: error: too few arguments to function ‘DGifOpen’
 GifFileType * gifFile = DGifOpen(f, __ecereNameSpace__ecere__gfx__bitmaps__ReadData);
 ^
obj/release.linux/GIFFormat.c:785:15: note: declared here
 GifFileType * DGifOpen(void * userPtr, InputFunc readFunc, int * Error);
               ^
make[1]: *** [obj/release.linux/GIFFormat.o] Error 1
make: *** [ecere] Error 2
(0001165)
jerome (administrator)
2014-02-04 23:08

The Giflib issues were originally addressed by:
https://github.com/ecere/ecere-sdk/commit/fbaf41b302944d0d4022a46a80b649255e88b6ca [^]

With a temporary fix for stdbool.h, and a fix for the modified DGifOpen based on checking GIFLIB_MAJOR > 5.
(0001166)
jerome (administrator)
2014-02-05 21:45

Fixed by:
https://github.com/ecere/ecere-sdk/commit/d6b10c363a61ab5232e701d3a68f03f47e44568b [^]

- Issue History
Date Modified Username Field Change
2013-04-24 13:31 redj New Issue
2013-04-24 20:19 jerome Priority normal => immediate
2013-04-28 05:40 nicktick File Added: gif_lib.diff
2013-04-28 05:40 nicktick Note Added: 0000767
2013-04-28 06:11 nicktick File Added: ecere.Makefile.diff
2013-04-28 06:25 nicktick File Added: ecere.Makefile2.diff
2013-04-28 06:27 nicktick Note Added: 0000768
2013-05-19 20:52 jerome Note Added: 0000836
2013-05-22 21:03 jerome Status new => assigned
2013-05-22 21:03 jerome Assigned To => jerome
2013-10-19 23:36 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2013-10-19 23:41 jerome Note Added: 0001138
2014-02-04 23:08 jerome Note Added: 0001165
2014-02-05 21:45 jerome Status assigned => resolved
2014-02-05 21:45 jerome Fixed in Version => 0.44.10 64
2014-02-05 21:45 jerome Resolution open => fixed
2014-02-05 21:45 jerome Note Added: 0001166
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker